## rakudo 2019.11

=== debian/changelog ===
rakudo (2019.11-4) unstable; urgency=medium

  * patch perf tests for mipsel

 -- Dominique Dumont <dod@debian.org>  Wed, 08 Jan 2020 10:52:47 +0100

rakudo (2019.11-3) unstable; urgency=medium

  * rules: setup verbose tests

 -- Dominique Dumont <dod@debian.org>  Tue, 07 Jan 2020 14:34:41 +0100

rakudo (2019.11-2) unstable; urgency=medium

  * Update my mail address.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 28 Dec 2019 15:21:19 +0800

rakudo (2019.11-1) experimental; urgency=medium

  * New upstream version 2019.11
  * Bump embedded nqp-configure to 1cd8bdc7.
  * Bump moarvm & nqp verison requirement to (>= 2019.11~).
  * override dh_missing to list missing files.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Dec 2019 14:39:49 +0800

rakudo (2019.07.1-8) unstable; urgency=medium

  * postinst: reinstall all modules when upgrading from << 2019.07.1-6
  * maintscripts: Properly quote the shell variables.
  * Apply wrap-and-sort.
  * Upload to unstable (Closes: #942364)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 17 Oct 2019 15:39:50 +0000

rakudo (2019.07.1-7) experimental; urgency=medium

  * Rakudo-helper: -R invalid due to empty graph when no module has dependency.
  * Rakudo-helper: Make reinstallation of modules verbose.
  * Rakudo-helper: report progress while reinstalling all modules.
  * preinst: Purge /usr/lib/perl6/vendor gracefully.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 16 Oct 2019 13:08:29 +0800

rakudo (2019.07.1-6) experimental; urgency=medium

  * Deal with perl6-* packages for proper /usr/{lib->share} transition.
  * postrm: fix upgrade due to missing "shell case" conditions.
  * Add dockerfile rakudo.docker for testing install/upgrade.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 15 Oct 2019 09:05:43 +0000

rakudo (2019.07.1-5) experimental; urgency=medium

  * Move runtimes/vendor to /usr/share in sync with rakudostar.
  * postrm: remove residual empty directories.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 15 Oct 2019 14:18:53 +0800

rakudo (2019.07.1-4) unstable; urgency=medium

  * Revert "Move files from /usr/share/perl6 to /usr/lib/perl6 and
    create symlink.", changing /usr/share/perl6 back into a directory.
    Also remove the dir->symlink conversion. (Closes: #940776, #940774)
  * Workaround the /usr/share/.*.moarvm file not found error.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 20:59:22 +0800

rakudo (2019.07.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0 (no change).
  * Upload to unstable. (Closes: #935290)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Sep 2019 04:05:03 +0000

rakudo (2019.07.1-2) experimental; urgency=medium

  * Add dpkg helper to change /usr/share/perl6 into a symlink.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 18 Sep 2019 22:49:53 +0800

rakudo (2019.07.1-1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2019.07.1
  * Import convenient copy of nqp-configure (7411804).
  * Link debian/nqp-configure to 3rdparty before configure.
  * Bump moarvm-dev and nqp requirment to (>= 2019.07)
  * Move files from /usr/share/perl6 to /usr/lib/perl6 and create symlink.
  * Guard dh_auto_test with "nocheck" flag detector.
  * Fixup build failure with sbuild.

  [ Dominique Dumont ]
  * control: test rules-requires-root

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 13 Sep 2019 16:11:49 +0000

rakudo (2019.03.1-1) experimental; urgency=medium

  * New upstream version 2019.03.1
  * Point watch to Github.
  * Add myself to Uploaders.
  * Bump moarvm and nqp requirement to (>= 2019.03).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 12 Jul 2019 12:06:57 +0000
