=== debian/control ===
Source: rakudo
Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>,
           Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
           Robert Lemmen <robertle@semistable.com>,
           Mo Zhou <lumin@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 9),
               libatomic-ops-dev,
               libffi-dev [mipsel],
               libgmp-dev,
               libkvm-dev [kfreebsd-any],
               libtommath-dev,
               libuv1-dev,
               moarvm-dev (>= 2019.11~),
               nqp (>= 2019.11~),
               perl
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/perl6-team/rakudo
Vcs-Git: https://salsa.debian.org/perl6-team/rakudo.git
Homepage: http://rakudo.org/
Rules-Requires-Root: no

Package: rakudo
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
Depends: libgraph-perl,
         libpath-tiny-perl,
         ${misc:Depends},
         ${moarvm:Depends},
         ${nqp:Depends},
         ${shlibs:Depends}
Suggests: valgrind
Breaks: rakudo-lib
Replaces: rakudo-lib
Description: Perl 6 implementation on top of Moar virtual machine
 Rakudo Perl is a compiler that implements the Perl 6 specification and runs on
 top of several virtual machines. Debian rakudo package runs on top of MoarVM.
 .
 Perl 6 is a programming language, member of the Perl family. Like Perl 5, her
 world-famous big sister, Perl 6 intends to carry forward the high ideals of
 the Perl community and is currently being developed by a team of dedicated and
 enthusiastic volunteers.
 .
 valgrind package installation is suggested to debug issues with
 perl6-valgrind-m program.
