=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rakudo-$1.tar.gz%" \
https://github.com/rakudo/rakudo/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
