## rakudo 2020.06

=== debian/changelog ===
rakudo (2020.06-1) unstable; urgency=medium

  * New upstream version 2020.06
  * control: update moarvm-dev and nqp dep versions (cme)

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Jun 2020 15:24:17 +0200

rakudo (2020.05.1-1) unstable; urgency=medium

  * New upstream version 2020.05.1
  * rm fix-raku-build.patch (applied upstream)
  * update copyright with cme
  * control: update moarvm-dev and nqp dep versions (cme)
  * rakudo-helper: cleanup empty /usr/lib/perl6/vendor/resources/
    when removing modules (Closes: #915785)

 -- Dominique Dumont <dod@debian.org>  Sun, 10 May 2020 15:21:42 +0200

rakudo (2020.02.1-2) unstable; urgency=medium

  * control: add missing libipc-system-simple-perl dependency
    (Closes: 959000)
  * cleanup old vendor dir in postinst instead of postrm

 -- Dominique Dumont <dod@debian.org>  Mon, 04 May 2020 18:42:44 +0200

rakudo (2020.02.1-1) unstable; urgency=medium

  * New upstream version 2020.02.1
  * control: update moarvm-dev and nqp dep versions (cme)
  * control: declare compliance with policy 4.5.0
  * use new style of debhelper dependency
  * remove convenience copy of nqp-configure
  * refreshed copyright file with cme
  * rules:
    * invoke raku instead of perl6
    * install perl6 files in /usr/lib/perl6
  * lintian: allow rpath in perl6 rakudo exe
  * watch: use release'd file
  * watch: verify tarball signature after download
  * replace samcv key with Alexander Kiryuhin's
  * add patch from upstream to fix installation of rakudo in /usr/lib/perl6
  * rules:
    * use rakudo-m to get compiler-id
    * disable perf tests as suggested upstream
  * rakudo-helper.pl:
    * vendor dir is in /usr/lib
    * installed without template
    * use autodie to trap system() errors
    * use more widely Path::Tiny
  * postrm: cleanup old vendor dir

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Apr 2020 17:50:54 +0200
