=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Mo Zhou <lumin@debian.org>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libatomic-ops-dev,
                libffi-dev [mipsel],
                libgmp-dev,
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
                libuv1-dev,
-               moarvm-dev (>= 2019.11~),
-               nqp (>= 2019.11~),
+               moarvm-dev (>= 2020.06),
+               nqp (>= 2020.06),
                perl
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/rakudo
 Vcs-Git: https://salsa.debian.org/perl6-team/rakudo.git
 Homepage: http://rakudo.org/
@@ -24,12 +24,13 @@
 
 Package: rakudo
 Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
-Depends: libgraph-perl,
-         libpath-tiny-perl,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${moarvm:Depends},
          ${nqp:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libgraph-perl,
+         libipc-system-simple-perl,
+         libpath-tiny-perl
 Suggests: valgrind
 Breaks: rakudo-lib
 Replaces: rakudo-lib
