=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,14 @@
 # enable verbose tests
 export HARNESS_VERBOSE = 1
 
+# performance tests are not reliable over archictectures
+export RAKUDO_SKIP_TIMING_TESTS = 1
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	mkdir -p 3rdparty; cp -rv debian/nqp-configure 3rdparty/
-	perl Configure.pl --prefix=/usr --backends=moar
+	perl Configure.pl --prefix=/usr --perl6-home=/usr/lib/perl6 --backends=moar
 
 # rakudo needs a strict dependency version of nqp. See README.source
 # for details.
@@ -46,17 +47,17 @@
 	dh_auto_install
 	find $(INSTALL) -type d -empty -delete
 	mkdir -p $(INSTALL)/usr/share/perl6/
-	RAKUDO_COMPILER_ID=`./perl6 -e 'say $$*PERL.compiler.id'`; \
-	cat debian/rakudo-helper.pl.template | sed -e "s/__COMPILER_ID__/$$RAKUDO_COMPILER_ID/" > $(INSTALL)/usr/share/perl6/rakudo-helper.pl
-	chmod +x $(INSTALL)/usr/share/perl6/rakudo-helper.pl
+	./rakudo-m -e 'say $$*PERL.compiler.id' > $(INSTALL)/usr/share/perl6/rakudo-compiler-id
+	install --mode=a+x debian/rakudo-helper.pl $(INSTALL)/usr/share/perl6/rakudo-helper.pl
 	mkdir -p $(INSTALL)/var/lib/perl6/modules
-	mkdir -p $(INSTALL)/usr/share/perl6/vendor/resources
 	mkdir -p $(INSTALL)/usr/share/perl6/debian-sources
 
-# we curretnly (2018.12) want to run the tests multiple times on failures, to
+# we currently (2018.12) want to run the tests multiple times on failures, to
 # get more data on flappers 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+# see https://github.com/rakudo/rakudo/issues/2567#issuecomment-572489015
+	rm t/08-performance/99-misc.t
 	make test || make test || make test || make test || MVM_SPESH_DISABLE=1 make test
 endif
