## rakudo 2020.12+dfsg

=== debian/changelog ===
rakudo (2020.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.12+dfsg
  * control: update moarvm-dev and nqp dep versions (cme)
  * remove fix-pod patch (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Fri, 08 Jan 2021 15:43:41 +0100

rakudo (2020.11-1) unstable; urgency=medium

  * New upstream version 2020.11
  * control: update moarvm-dev and nqp dep versions (cme)
  * declare compliance with policy 4.5.1
  * update fix-pod patch

 -- Dominique Dumont <dod@debian.org>  Wed, 02 Dec 2020 11:53:29 +0100

rakudo (2020.10-1) unstable; urgency=medium

  * New upstream version 2020.10
  * add patch to fix pod error
  * control: update moarvm-dev and nqp dep versions (cme)

 -- Dominique Dumont <dod@debian.org>  Sun, 01 Nov 2020 15:47:41 +0100

rakudo (2020.09+dfsg-2) unstable; urgency=medium

  * requires nqp (>= 2020.09+dfsg-4) (Closes: 971769)

 -- Dominique Dumont <dod@debian.org>  Fri, 09 Oct 2020 18:34:07 +0200

rakudo (2020.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.09+dfsg (Closes: 969578)
  * exclude t/spec directory
  * refreshed copyright with cme
  * control: update moarvm-dev and nqp dep versions (cme)
  * watch: add dversionmangle=auto option

 -- Dominique Dumont <dod@debian.org>  Sun, 27 Sep 2020 17:38:04 +0200

rakudo (2020.08.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Dominique Dumont ]
  * New upstream version 2020.08.2
  * control: update moarvm-dev and nqp dep versions (cme)
  * override lintian error related to rpath
  * add missing symlink to man pages
  * add patch to hardcode raku path in script

 -- Dominique Dumont <dod@debian.org>  Thu, 03 Sep 2020 18:37:57 +0200
