=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
                libuv1-dev,
-               moarvm-dev (>= 2020.06),
-               nqp (>= 2020.06),
+               moarvm-dev (>= 2020.12),
+               nqp (>= 2020.12),
                perl
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl6-team/rakudo
 Vcs-Git: https://salsa.debian.org/perl6-team/rakudo.git
-Homepage: http://rakudo.org/
+Homepage: https://rakudo.org/
 Rules-Requires-Root: no
 
 Package: rakudo
