=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 INSTALL     = $(CURDIR)/debian/rakudo
 
 # if the Debian package version is needed:
-#NQP_VERSION = $(shell dpkg -s nqp | sed -rne 's,^Version: (.+).*,\1,p')
+NQP_VERSION = $(shell dpkg -s nqp | sed -rne 's,^Version: (.+).*,\1,p')
 #MOARVM_VERSION = $(shell dpkg -s moarvm | sed -rne 's,^Version: (.+).*,\1,p')
 
 # get only upstream version
-NQP_VERSION    = $(shell nqp --version  | perl -n -E 'm/([\d.]+)/; say $$1;')
+#NQP_VERSION    = $(shell nqp --version  | perl -n -E 'm/([\d.]+)/; say $$1;')
 MOARVM_VERSION = $(shell moar --version | perl -n -E 'm/([\d.]+)/; say $$1;')
 
 NQP_NEXT    = $(shell nqp --version  | perl -n -E 'my ($$y,$$m) = m/(2\d+)\.(\d+)/; if ($$m < 12) { $$m++} else {$$m=1;$$y++}; printf("%d.%02d\n",$$y,$$m);')
@@ -53,11 +53,13 @@
 	mkdir -p $(INSTALL)/usr/share/perl6/debian-sources
 
 # we currently (2018.12) want to run the tests multiple times on failures, to
-# get more data on flappers 
+# get more data on flappers
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # see https://github.com/rakudo/rakudo/issues/2567#issuecomment-572489015
 	rm t/08-performance/99-misc.t
+	echo "Skipping broken test. See https://github.com/rakudo/rakudo/issues/3824"
+	rm t/09-moar/01-profilers.t
 	make test || make test || make test || make test || MVM_SPESH_DISABLE=1 make test
 endif
