=== debian/watch ===
version=4
opts="dversionmangle=auto, pgpsigurlmangle=s/$/.asc/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rakudo-$1.tar.gz%" \
https://github.com/rakudo/rakudo/releases/ \
(?:.*?/)?rakudo-(\d[\d.]*)\.tar\.gz debian uupdate
