## rakudo 2022.02

=== debian/changelog ===
rakudo (2022.02-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Feb 2022 21:47:36 -0500

rakudo (2022.02-1~exp1) experimental; urgency=medium

  * New upstream version 2022.02
  * Bump moarvm-dev and nqp requirement to (>= 2022.02).

 -- Mo Zhou <lumin@debian.org>  Mon, 21 Feb 2022 18:47:23 -0500

rakudo (2021.12-2) unstable; urgency=medium

  * Fix FTBFS twice in a row. (Closes: #1004644)

 -- Mo Zhou <lumin@debian.org>  Sun, 30 Jan 2022 19:36:25 -0500

rakudo (2021.12-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 30 Jan 2022 12:26:05 -0500

rakudo (2021.12-1~exp1) experimental; urgency=medium

  * New upstream version 2021.12
  * Update upstream signing key.
  * Bump moarvm-dev and nqp requirement to >= 2021.12.
  * Refresh existing patches with quilt.
  * Update copyright with cme and add Unicode-DFS-2016.
  * Temporarily skip flaky test t/02-rakudo/repl.t.
  * Fix mismatched lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Fri, 21 Jan 2022 11:30:36 -0500

rakudo (2021.09-2) unstable; urgency=medium

  * update rakudo-helper to co-operate with dh-raku
  * raku: setup Provides with raku api version

 -- Dominique Dumont <dod@debian.org>  Wed, 15 Dec 2021 18:26:14 +0100

rakudo (2021.09-1) unstable; urgency=medium

  * New upstream version 2021.09
  * Remove Robert from Uploaders (Closes: 994653)
  * control: use debhelper 13
  * control: declare compliance with policy 4.6.0
  * control: update moarvm-dev and nqp dep versions (cme)

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Sep 2021 16:38:42 +0200
