=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Dominique Dumont <dod@debian.org>,
            Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
-           Robert Lemmen <robertle@semistable.com>,
            Mo Zhou <lumin@debian.org>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libatomic-ops-dev,
                libffi-dev [mipsel],
                libgmp-dev,
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
                libuv1-dev,
-               moarvm-dev (>= 2020.12),
-               nqp (>= 2020.12),
+               moarvm-dev (>= 2022.02),
+               nqp (>= 2022.02),
                perl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/rakudo
 Vcs-Git: https://salsa.debian.org/perl6-team/rakudo.git
 Homepage: https://rakudo.org/
@@ -33,6 +32,7 @@
          libpath-tiny-perl
 Suggests: valgrind
 Breaks: rakudo-lib
+Provides: ${raku:ApiVersion}
 Replaces: rakudo-lib
 Description: Perl 6 implementation on top of Moar virtual machine
  Rakudo Perl is a compiler that implements the Perl 6 specification and runs on
