=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 NQP_NEXT    = $(shell nqp --version  | perl -n -E 'my ($$y,$$m) = m/(2\d+)\.(\d+)/; if ($$m < 12) { $$m++} else {$$m=1;$$y++}; printf("%d.%02d\n",$$y,$$m);')
 MOARVM_NEXT = $(shell moar --version | perl -n -E 'my ($$y,$$m) = m/(2\d+)\.(\d+)/; if ($$m < 12) { $$m++} else {$$m=1;$$y++}; printf("%d.%02d\n",$$y,$$m);')
 
+# TODO: read the file without cat ?
+RAKU_VERSION = $(shell cat VERSION)
+
 # By default, perl t/harness5 runs 6 tests in parallel. This is fine
 # on powerful system but tends to mess up tests on mips or armhf.
 export TEST_JOBS = 1
@@ -21,7 +24,7 @@
 # enable verbose tests
 export HARNESS_VERBOSE = 1
 
-# performance tests are not reliable over archictectures
+# performance tests are not reliable over architectures
 export RAKUDO_SKIP_TIMING_TESTS = 1
 
 %:
@@ -37,7 +40,8 @@
 # systems.
 override_dh_gencontrol:
 	dh_gencontrol -- -Vnqp:Depends="nqp (>= $(NQP_VERSION)), nqp (<< $(NQP_NEXT))" \
-	                 -Vmoarvm:Depends="moarvm (>= $(MOARVM_VERSION)), moarvm(<< $(MOARVM_NEXT))"
+	                 -Vmoarvm:Depends="moarvm (>= $(MOARVM_VERSION)), moarvm(<< $(MOARVM_NEXT))" \
+					 -Vraku:ApiVersion="raku-api-$(RAKU_VERSION)"
 
 override_dh_auto_build:
 	dh_auto_build
@@ -57,9 +61,11 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # see https://github.com/rakudo/rakudo/issues/2567#issuecomment-572489015
-	rm t/08-performance/99-misc.t
+	-$(RM) t/08-performance/99-misc.t
 	echo "Skipping broken test. See https://github.com/rakudo/rakudo/issues/3824"
-	rm t/09-moar/01-profilers.t
+	-$(RM) t/09-moar/01-profilers.t
+# temporarily skip a flaky test https://github.com/rakudo/rakudo/issues/4726
+	-$(RM) t/02-rakudo/repl.t
 	make test || make test || make test || make test || MVM_SPESH_DISABLE=1 make test
 endif
