## rakudo 2022.04

=== debian/changelog ===
rakudo (2022.04-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 28 May 2022 12:48:26 -0400

rakudo (2022.04-1) experimental; urgency=medium

  * New upstream version 2022.04
  * Bump nqp/moarvm-dev requirement to >= 2022.04.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 19 May 2022 21:44:53 -0400

rakudo (2022.03-1) experimental; urgency=medium

  * New upstream version 2022.03
  * Bump nqp/moarvm-dev requirement to >= 2022.03.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Fri, 01 Apr 2022 00:16:55 -0400
