=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
                libuv1-dev,
-               moarvm-dev (>= 2022.02),
-               nqp (>= 2022.02),
+               moarvm-dev (>= 2022.04),
+               nqp (>= 2022.04),
                perl
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/rakudo
