## rakudo 2022.12

=== debian/changelog ===
rakudo (2022.12-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 17 Jan 2023 14:39:45 -0500

rakudo (2022.12-1~exp3) experimental; urgency=medium

  * rules: hard code compiler-id
  * rules: show source-digest and compiler-id values

 -- Dominique Dumont <dod@debian.org>  Sat, 14 Jan 2023 16:37:39 +0100

rakudo (2022.12-1~exp2) experimental; urgency=medium

  * add patch to fix compiler id

 -- Dominique Dumont <dod@debian.org>  Fri, 13 Jan 2023 14:46:20 +0100

rakudo (2022.12-1~exp1) experimental; urgency=medium

  [ Dominique Dumont ]
  * watch: use github example from uscan man page
  * remove patch which was not applied
  * add raku compiler id to api-version
  * control: declare compliance with policy 4.6.1
  * control: rm obsolete Breaks and Replaces parameters
  * lintian-overrides: docs/architecture.html is a source file

  [ Mo Zhou ]
  * Mangle download URL to release page to fix GPG verification.
  * New upstream version 2022.12
  * Bump moarvm-dev and nqp requirement to >= 2022.12.
  * Refresh existing patches. Remove merged patches.
  * Append riscv64 to Architecture list (Closes: #1023338)
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Tue, 27 Dec 2022 20:08:52 -0500

rakudo (2022.07-2) unstable; urgency=medium

  * refresh fix-test patch
  * add patch to fix missing pre-compiled files
    (required to fix #1020898)

 -- Dominique Dumont <dod@debian.org>  Sun, 02 Oct 2022 17:28:35 +0200

rakudo (2022.07-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 25 Sep 2022 19:04:37 -0400

rakudo (2022.07-1~exp1) experimental; urgency=medium

  [ Dominique Dumont ]
  * install install-dist.raku
  * rules: create /usr/lib/perl6/site/short directory
  * rules: create /usr/lib/perl6/vendor/short directory

  [ Mo Zhou ]
  * New upstream version 2022.07
  * Bump moarvm and nqp requirement to >= 2022.07
  * Replace perl6 with raku in maintainer script prints. (Closes: #1012118)
  * Specify $HOME to avoid test failure.

 -- Mo Zhou <lumin@debian.org>  Sat, 03 Sep 2022 15:06:59 -0400
