=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
                libuv1-dev,
-               moarvm-dev (>= 2022.04),
-               nqp (>= 2022.04),
+               moarvm-dev (>= 2022.12),
+               nqp (>= 2022.12),
                perl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/perl6-team/rakudo
 Vcs-Git: https://salsa.debian.org/perl6-team/rakudo.git
 Homepage: https://rakudo.org/
 Rules-Requires-Root: no
 
 Package: rakudo
-Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
 Depends: ${misc:Depends},
          ${moarvm:Depends},
          ${nqp:Depends},
@@ -31,9 +31,7 @@
          libipc-system-simple-perl,
          libpath-tiny-perl
 Suggests: valgrind
-Breaks: rakudo-lib
 Provides: ${raku:ApiVersion}
-Replaces: rakudo-lib
 Description: Perl 6 implementation on top of Moar virtual machine
  Rakudo Perl is a compiler that implements the Perl 6 specification and runs on
  top of several virtual machines. Debian rakudo package runs on top of MoarVM.
