## rakudo 2024.09

=== debian/changelog ===
rakudo (2024.09-4) unstable; urgency=medium

  * Set architectures supported by moarvm

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Apr 2025 09:38:28 +0200

rakudo (2024.09-3) unstable; urgency=medium

  * control: declare compliance with Debian policy 4.7.2
  * control architectures: remove arm*

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Apr 2025 12:22:26 +0200

rakudo (2024.09-2) unstable; urgency=medium

  * release to unstable
  * remove obsolete patch

 -- Dominique Dumont <dod@debian.org>  Tue, 29 Oct 2024 19:22:05 +0100

rakudo (2022.12-2) unstable; urgency=medium

  * add patch fix-bin-source-time-compare

 -- Dominique Dumont <dod@debian.org>  Tue, 31 Oct 2023 18:58:41 +0100

rakudo (2024.09-1) experimental; urgency=medium

  [ Timo Paulssen ]
  * New upstream version 2024.09
  * Update patches
  * control: Update versions in requirements
  * control: Remove outdated dependency on libgmp
  * control: Update description to reflect the name change

  [ zhangdandan <zhangdandan@loongson.cn>, Meng Sang <sangmeng@loongson.cn> ]
  * control: Add loong64 support

  [ Dominique Dumont ]
  * add fill.copyright.blanks.yml to fix Unicode info
  * copyright: update with cme
  * control: declare compliance with policy 4.7.0
  * copyright: remove obsolete Files-Excluded

 -- Dominique Dumont <dod@debian.org>  Sun, 06 Oct 2024 11:07:50 +0200

rakudo (2024.02-1~exp1) experimental; urgency=medium

  * New upstream version 2024.02
  * Bump moarvm and nqp requirement to >= 2024.02~.
  * Rebase existing patches.

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Mar 2024 21:01:43 -0500

rakudo (2023.06-1~exp1) experimental; urgency=medium

  * New upstream version 2023.06
  * Bump moarvm and nqp requirement to >= 2023.06~.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Mon, 21 Aug 2023 13:21:59 -0400
