=== debian/control ===
Source: rakudo
Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>,
           Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
           Mo Zhou <lumin@debian.org>,
           Timo Paulssen <timonator@perpetuum-immobile.de>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libatomic-ops-dev,
               libffi-dev [mipsel],
               libkvm-dev [kfreebsd-any],
               libtommath-dev,
               libuv1-dev,
               moarvm-dev (>= 2024.09~),
               nqp (>= 2024.09~),
               perl
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl6-team/rakudo
Vcs-Git: https://salsa.debian.org/perl6-team/rakudo.git
Homepage: https://rakudo.org/
Rules-Requires-Root: no

Package: rakudo
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 loong64 mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
Depends: ${misc:Depends},
         ${moarvm:Depends},
         ${nqp:Depends},
         ${shlibs:Depends},
         libgraph-perl,
         libipc-system-simple-perl,
         libpath-tiny-perl
Suggests: valgrind
Provides: ${raku:ApiVersion}
Description: Raku implementation on top of MoarVM
 Rakudo is a compiler that implements the Raku (formerly Perl 6) specification
 and runs on top of several virtual machines. Debian rakudo package runs on
 top of MoarVM.
 .
 Provides commands starting with "raku", "rakudo", and "perl6".
 .
 valgrind package installation is suggested to debug issues with
 rakudo-valgrind-m program.
