=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,14 @@
 # performance tests are not reliable over architectures
 export RAKUDO_SKIP_TIMING_TESTS = 1
 
+# prevent test failure at t/05-messages/03-errors.t line 92
+export HOME=/tmp/
+
 %:
 	dh $@
 
 override_dh_auto_configure:
+	perl -p -i -e 's/%%Debian-compiler-id%%/Debian-$(RAKU_VERSION)/' src/core.c/Compiler.pm6
 	perl Configure.pl --prefix=/usr --perl6-home=/usr/lib/perl6 --backends=moar
 
 # rakudo needs a strict dependency version of nqp. See README.source
@@ -38,13 +42,23 @@
 # WARNING: rakudo must be compiled with the exact nqp that is shipped to
 # Debian. Otherwise timestamp will differ and rakudo will break on user
 # systems.
+# WARNING: any modification of the source leads to a new compiler id, which obsoletes
+# existing pre-compiled files. That's why ApiVersion now contains the 8 first char of
+# the compiler id.
 override_dh_gencontrol:
 	dh_gencontrol -- -Vnqp:Depends="nqp (>= $(NQP_VERSION)), nqp (<< $(NQP_NEXT))" \
 	                 -Vmoarvm:Depends="moarvm (>= $(MOARVM_VERSION)), moarvm(<< $(MOARVM_NEXT))" \
-					 -Vraku:ApiVersion="raku-api-$(RAKU_VERSION)"
+					 -Vraku:ApiVersion="raku-api-$(RAKU_VERSION)+"$$(./rakudo-m -e 'say substr($$*PERL.compiler.id.lc,0,8)')
 
 override_dh_auto_build:
 	dh_auto_build
+	echo "Configuration:"
+	echo -n "NQP source-digest: "
+	nqp --show-config | grep source-digest
+	echo -n "raku source-digest: "
+	./rakudo-m --show-config | grep source-digest
+	echo -n "raku compiler id: "
+	./rakudo-m -e 'say $$*PERL.compiler.id;'
 	pod2man --name=perl6 docs/running.pod debian/perl6.1
 
 override_dh_auto_install:
@@ -55,6 +69,8 @@
 	install --mode=a+x debian/rakudo-helper.pl $(INSTALL)/usr/share/perl6/rakudo-helper.pl
 	mkdir -p $(INSTALL)/var/lib/perl6/modules
 	mkdir -p $(INSTALL)/usr/share/perl6/debian-sources
+	mkdir -p $(INSTALL)/usr/lib/perl6/site/short
+	mkdir -p $(INSTALL)/usr/lib/perl6/vendor/short
 
 # we currently (2018.12) want to run the tests multiple times on failures, to
 # get more data on flappers
