=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    downloadurlmangle=s|archive/refs/tags/@ANY_VERSION@.tar.gz|releases/download/\\1/rakudo-\\1.tar.gz|, " \
    https://github.com/rakudo/rakudo/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
